# Sorgular

## Satış Listesi&#x20;

<mark style="color:blue;">`GET`</mark> `https://api.manikod.com/v1/sales`

Yapılan tüm satışların listesine erişmek için kullanılır. Her sorgulamada en fazla 100 satış kaydı görüntüleyebilirsiniz.&#x20;

#### Query Parameters

| Name | Type    | Description                              |
| ---- | ------- | ---------------------------------------- |
| page | integer | Gösterilen satışların sayfa numarasıdır. |

#### Headers

| Name           | Type   | Description                                                                  |
| -------------- | ------ | ---------------------------------------------------------------------------- |
| Authentication | string | Kimlik denetimi başlığıdır. Detaylar için kimlik denetimi sayfasına bakınız. |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```javascript
{
    "status": "success",
    "sales": [
        {
            "id": 1043644,
            "amount": "100.00",
            "total": "110.00",
            "description": "Iphone XS Max Telefon Kılıfı",
            "installment": 1,
            "status": "success",
            "date_created": "2020-04-01 23:06:44+03",
            "trx_code": "20093BD7C13002",
            "metadata": null,
            "cashup_date": "2020-04-02",
            "pan": "4355 **** **** 4358",
            "bank": "Finansbank",
            "order_id": "merchant-12354",
            "error" : null
        },
        {
            "id": 1043645,
            "amount": "7800.00",
            "total": "7800.00",
            "description": "Iphone XS Max",
            "installment": 1,
            "status": "success",
            "date_created": "2020-04-01 23:04:40+03",
            "trx_code": "20093BB6F12941",
            "metadata": null,
            "cashup_date": "2020-04-02",
            "pan": "4355 **** **** 4358",
            "bank": "Finansbank",
            "order_id": "merchant-12355",
            "error" : null
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Satış Detayı

<mark style="color:blue;">`GET`</mark> `https://api.manikod.com/v1/sale/{id}`

Yapılan bir işlemin sonucunu takip etmek veya detaylarını görüntülemek için kullanılır.&#x20;

#### Path Parameters

| Name | Type   | Description                                                                                                                             |
| ---- | ------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| id   | string | Detayları gösterilecek işlemin sale\_id değeridir. Bu değer satış sonrasında hem api hem de POST aracılığı ile tarafınıza iletilmiştir. |

#### Headers

| Name           | Type   | Description                                                                  |
| -------------- | ------ | ---------------------------------------------------------------------------- |
| Authentication | string | Kimlik denetimi başlığıdır. Detaylar için kimlik denetimi sayfasına bakınız. |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "status": "success",
    "sale": {
        "id": 1043644,
        "amount": "100.00",
        "total": "110.00",
        "description": "Iphone XS Max Telefon Kılıfı",
        "installment": 1,
        "status": "success",
        "date_created": "2020-04-01 23:06:44+03",
        "trx_code": "20093BD7C13002",
        "metadata": null,
        "cashup_date": "2020-04-02",
        "pan": "4355 **** **** 4358",
        "bank": "Finansbank",
        "order_id": "merchant-12354",
        "error" : null
    }
}
```

{% endtab %}

{% tab title="404 " %}

```javascript
{
    "status": "error",
    "message": "satış bulunamadı"
}
```

{% endtab %}
{% endtabs %}

## BIN Sorgulama

<mark style="color:blue;">`GET`</mark> `https://api.manikod.com/v1/bin/{bin}`

Müşteri kredi kartının hangi bankaya ve hangi programa ait olduğunu sorgulamanızı sağlar.&#x20;

#### Query Parameters

| Name | Type   | Description                                          |
| ---- | ------ | ---------------------------------------------------- |
| bin  | string | Sorgulamak istediğiniz kart numarasının ilk 6 hanesi |

#### Headers

| Name           | Type   | Description                                                                 |
| -------------- | ------ | --------------------------------------------------------------------------- |
| Authentication | string | Kimlik denetimi başlığıdır. Detaylar için kimlik denetimi sayfasına bakınız |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "status": "success",
    "bin": {
        "bin": "450803",
        "brand": "VISA",
        "type": "CREDIT",
        "level": "BUSINESS",
        "network": "MAXIMUM",
        "issuer": "T. IS BANKASI A.S.",
        "virtual": "",
        "country": "TUR"
    }
}
```

{% endtab %}

{% tab title="404 " %}

```javascript
{
    "status": "error",
    "message": "Geçersiz bin"
}
```

{% endtab %}
{% endtabs %}

## Taksit Sorgulama

<mark style="color:blue;">`GET`</mark> `https://api.manikod.com/v1/installment/{bin}`

İlgili kredi kartına manikod tarafından taksit uygulanıp uygulanmadığını, uygulanıyor ise taksit komisyon oranlarını&#x20;

#### Query Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| bin  | string | Sorgulama   |

#### Headers

| Name           | Type   | Description                                                                 |
| -------------- | ------ | --------------------------------------------------------------------------- |
| Authentication | string | Kimlik denetimi başlığıdır. Detaylar için kimlik denetimi sayfasına bakınız |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "status": "success",
    "bin": {
        "bin": "450803",
        "brand": "VISA",
        "type": "CREDIT",
        "level": "BUSINESS",
        "network": "MAXIMUM",
        "issuer": "T. IS BANKASI A.S.",
        "date_created": "2020-03-24T22:50:30+0300"
    },
    "installment": true,
    "rates": {
        "2": 4.66,
        "3": 5.6,
        "4": 6.53,
        "5": 7.47,
        "6": 8.4,
        "7": 9.34,
        "8": 10.27,
        "9": 11.21,
        "10": 12.14,
        "11": 13.08,
        "12": 14.01
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.manikod.com/services/api/query.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
